Package net.shibboleth.idp.admin.impl

# Class AdministrativeFlowDescriptorManager

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.spring.config.IdentifiedComponentManager<AdministrativeFlowDescriptor>
net.shibboleth.idp.admin.impl.AdministrativeFlowDescriptorManager

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`

public class AdministrativeFlowDescriptorManager extends IdentifiedComponentManager<AdministrativeFlowDescriptor>
Manager of `AdministrativeFlowDescriptor` objects.

Since:
  4.1.0

## Constructor Summary

Constructors
Constructor
Description
`AdministrativeFlowDescriptorManager(Collection<AdministrativeFlowDescriptor> freeObjects)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.spring.config.IdentifiedComponentManager

`getComponents, setComponents`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdministrativeFlowDescriptorManager

@Autowired public AdministrativeFlowDescriptorManager(@Nullable Collection<AdministrativeFlowDescriptor> freeObjects)
Constructor.

Parameters:
  `freeObjects` - free-standing objects